
Redmine - Feature #3055

Option to copy attachments when copying an issue

2009-03-26 15:34 - Michael Litton

Status: Closed Start date: 2009-03-26

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Attachments Estimated time: 0.00 hour

Target version: 1.4.0   

Resolution: Fixed   

Description

When you "move" an issue and select to copy it attachments are not included in the new issue.

Associated revisions

Revision 8676 - 2012-01-20 18:56 - Jean-Philippe Lang

Copy attachments on issue and project copy (#3055).

Revision 8677 - 2012-01-20 19:22 - Jean-Philippe Lang

Adds an option of the copy form to enable/disable attachments copy (#3055).

History

#1 - 2009-03-26 18:19 - Jean-Philippe Lang

- Tracker changed from Defect to Feature

#2 - 2009-03-26 18:20 - Jean-Philippe Lang

I don't think that copying the attachments too should be the default behaviour.

#3 - 2009-03-27 23:06 - Eric Davis

-1 I agree with Jean-Philippe Lang.  Attachments might be about an issue note which should not copied with the issue.

#4 - 2009-03-28 11:27 - Michael Litton

Should it at least not be an option (checkbox)?

#5 - 2009-03-28 14:07 - Arseny Silvestrov

I faced the same issue just now while copying an issue with lots of images attached.

There were images inserted into description via name.jpg  reference and they didn't get copied. And they probably should have to, because they are

used in description.

New descriptions after copying still have the reference name.jpg , but images are not shown because they are attachments and were not copied.

I think every attachment used in description, e.g. images, should be copied by default.

#6 - 2009-03-28 14:08 - Arseny Silvestrov

Sorry, forgot to preview.

Where I wrote reference it means

reference !name.jpg!

#7 - 2009-04-14 10:27 - Michael Litton

How about the option to do it?

#8 - 2009-05-06 12:16 - Michael Litton

Any progress here? You should be able to copy the files!

#9 - 2011-03-24 10:41 - Toshi MARUYAMA

- Category set to Attachments
#10 - 2011-03-25 08:13 - Martin Denizet (redmine.org team member)

I agree that it should be an option to be able to copy attachments (and notes).

We lose lot of information without the attachments and we lose lot of time re-uploading the attachments.

#11 - 2011-03-25 08:56 - Etienne Massip

- Subject changed from Attachmets do not get included on copy to Attachments do not get included on copy

Typo

#12 - 2011-03-26 14:33 - Terence Mill

+1

"COPY" should default copy "all data", or even aks what to copy if all ins't copied.

#13 - 2011-04-29 10:51 - Vlax Max

Duplicate doesn't duplicate attached files as well some it should!

+1

#14 - 2011-04-29 11:13 - Terence Mill

+1

Besides that is a bug not a feature, cause copy shall copy all content. Only the issue id is new, all other data is copied complete.

#15 - 2011-07-07 01:54 - R Chang

+1

Not sure why there is two options: copy and duplicate.  My expectation is that at least one of those copies all comments and attachments.

An example work flow is that we have an app across multiple mobile platforms (ios, android, blackberry) and to keep feature parity we open separate

tickets for a feature for each platform.  It is a big pain to have to keep remembering to attach screenshots to the copied tickets.

#16 - 2011-12-08 10:12 - Marek Hulan

+1 in here

#17 - 2012-01-03 08:44 - Andrea Saccavini

+ 1

#18 - 2012-01-06 10:40 - Bertrand Rousseau

+1

#19 - 2012-01-06 10:46 - jean-christophe toustou

+1

#20 - 2012-01-17 01:14 - Preethi Sriram

- File duplicate_issues_attachment.diff added

- File attachment-test-results.txt added

- File issues-test-results.txt added

- File journal_test_results.txt added

Attached is a patch that allows duplicate option to copy attachments and journal notes to the new issue.

Unit test results for issue,attachment,journal are attached.

#21 - 2012-01-20 19:25 - Jean-Philippe Lang

- Subject changed from Attachments do not get included on copy to Option to copy attachments when copying an issue

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Target version set to 1.4.0

- Resolution set to Fixed
Done in r8676, r8677. When the original issue has attachments, you'll get a checkbox on the issue form to copy attachments.

#22 - 2012-05-11 15:51 - Josh Wang

Since the latest version is 1.4.1, and it seems i could not succeed in applying the changes listed in r8676 or r8677. Is there any updates?

#23 - 2012-05-13 14:15 - Jean-Philippe Lang

Josh Wang wrote:

Since the latest version is 1.4.1, and it seems i could not succeed in applying the changes listed in r8676 or r8677. Is there any updates?

 This feature is included in 1.4, so you don't need to apply theses changes.

#24 - 2018-05-07 16:36 - Lara R

Jean-Philippe Lang wrote:

Josh Wang wrote:

Since the latest version is 1.4.1, and it seems i could not succeed in applying the changes listed in r8676 or r8677. Is there any updates?

 This feature is included in 1.4, so you don't need to apply theses changes.

 I have redmine 3.3.3 and when I copy an issue into another project the attached files and the issue history is not copied into the new issue.

Is there any plugin or another way to do it?

Thanks

Files

duplicate_issues_attachment.diff 4.84 KB 2012-01-17 Preethi Sriram

attachment-test-results.txt 129 Bytes 2012-01-17 Preethi Sriram

issues-test-results.txt 221 Bytes 2012-01-17 Preethi Sriram

journal_test_results.txt 128 Bytes 2012-01-17 Preethi Sriram
